UNAME(1)

NAME
uname, arch - system info

SYNOPSIS
uname [-snrvmpa]
arch [-snrvmpa]

OPTIONS

EXAMPLES

DESCRIPTION

Uname and arch give information about the system. The options indicate which information strings must be printed. These strings are always in the same order. Uname and arch only differ w.r.t. the default string to print, -s and -p respectively.

The strings are compiled into the commands except for the node name, it is obtained from the file /etc/hostname.file. Uname -m should return the actual machine type, not the same string as with -p.

SEE ALSO
uname(3).